<html>
<head>
<title>OGRE: Class Members - Typedefs - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li class="current"><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_type.html#index_a"><span>a</span></a></li>
    <li><a href="functions_type_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_type_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_type_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_type_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_type_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_type_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_type_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_type_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_type_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_type_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_type_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_type_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_type_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_type_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_type_0x71.html#index_q"><span>q</span></a></li>
    <li class="current"><a href="functions_type_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_type_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_type_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_type_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_type_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_type_0x77.html#index_w"><span>w</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
<li>RealList
: <a class="el" href="classOgre_1_1RibbonTrail.html#0c829b2b1c3ae40fd555fa51b6840efe">Ogre::RibbonTrail</a>
<li>Rect
: <a class="el" href="classOgre_1_1Image.html#acf1f2552048b7c6d5e94d6746d9186b">Ogre::Image</a>
<li>reference
: <a class="el" href="classOgre_1_1AlignedAllocator.html#438ec4e550d048919e50d830100ad589">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a>
<li>RegionIterator
: <a class="el" href="classOgre_1_1StaticGeometry.html#c58b2faf8a71daf21406ed730215a13a">Ogre::StaticGeometry</a>
<li>RegionMap
: <a class="el" href="classOgre_1_1StaticGeometry.html#f697e3c0524a2e1976e691b38de9b8e1">Ogre::StaticGeometry</a>
<li>RegisteredCodecList
: <a class="el" href="classOgre_1_1FreeImageCodec.html#521cef0d6390e06912d1d0d0193f8563">Ogre::FreeImageCodec</a>
<li>RenderableList
: <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#8d0649f312e57548ccd021337e3c56bd">Ogre::QueuedRenderableCollection</a>
<li>RenderablePassList
: <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#d820db5042693a75be0267bbe018869e">Ogre::QueuedRenderableCollection</a>
<li>RenderOperationVector
: <a class="el" href="classOgre_1_1InstancedGeometry.html#5e9e79dc2c8ebbed4cf6e9ce2b7f1909">Ogre::InstancedGeometry</a>
<li>RenderQueueBitSet
: <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#7026db7788bde13a6b6466a967733b64">Ogre::CompositorInstance::TargetOperation</a>
<li>RenderQueueGroupMap
: <a class="el" href="classOgre_1_1RenderQueue.html#13888e99247750aefc38fee2e106c2b9">Ogre::RenderQueue</a>
<li>RenderQueueInvocationSequenceMap
: <a class="el" href="classOgre_1_1Root.html#8aeac43e4f46620ac7f0bdcf95ed09ed">Ogre::Root</a>
<li>RenderQueueListenerList
: <a class="el" href="classOgre_1_1SceneManager.html#b55740025112ba1139656d035f27bb45">Ogre::SceneManager</a>
<li>RenderSystemOperations
: <a class="el" href="classOgre_1_1CompositorChain.html#e4e9c8953b28c925e342762a563d2724">Ogre::CompositorChain</a>
<li>RenderSystemOpPair
: <a class="el" href="classOgre_1_1CompositorInstance.html#b03be79964e60192fc2d4446b81b29fe">Ogre::CompositorInstance</a>
<li>RenderSystemOpPairs
: <a class="el" href="classOgre_1_1CompositorInstance.html#be1fafc9b94e4833ec62ce008c3a2bd6">Ogre::CompositorInstance</a>
<li>RenderTargetIterator
: <a class="el" href="classOgre_1_1RenderSystem.html#50a15a7bbc1beca5c91b6584a3060f1b">Ogre::RenderSystem</a>
<li>RenderTargetListenerList
: <a class="el" href="classOgre_1_1RenderTarget.html#c283f95c08a0d761481613002e15929f">Ogre::RenderTarget</a>
<li>RequestQueue
: <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#fd755f08d1050f013d3a5bfadd1e886b">Ogre::ResourceBackgroundQueue</a>
<li>RequestTicketMap
: <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#7358e15601d9373f738f38f6aa7a6ad1">Ogre::ResourceBackgroundQueue</a>
<li>ResourceCreateOrRetrieveResult
: <a class="el" href="classOgre_1_1ResourceManager.html#f484f2b60c8d9bc87f37fa8af8e630c5">Ogre::ResourceManager</a>
<li>ResourceDeclarationList
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#e26eacec6d13149f46c47d88c7110625">Ogre::ResourceGroupManager</a>
<li>ResourceGroupListenerList
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#def59af74fac7f67cd9dcdba3b6a0de4">Ogre::ResourceGroupManager</a>
<li>ResourceGroupMap
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#c4c39ec5a2534bd4e1475b3a58094e78">Ogre::ResourceGroupManager</a>
<li>ResourceHandleMap
: <a class="el" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">Ogre::ResourceManager</a>
<li>ResourceLocationIndex
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#25b7fbc15fa4cb442ca9c399e62e6048">Ogre::ResourceGroupManager</a>
<li>ResourceManagerIterator
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#f875db11dc5aba6ab72ec40296af9a5c">Ogre::ResourceGroupManager</a>
<li>ResourceManagerMap
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#bb6fa5b78ff9f77f35b69cefd9d50283">Ogre::ResourceGroupManager</a>
<li>ResourceMap
: <a class="el" href="classOgre_1_1ResourceManager.html#60ea46f69b1dd9c8e27b9b3d7bd5bc35">Ogre::ResourceManager</a>
<li>ResourceMapIterator
: <a class="el" href="classOgre_1_1ResourceManager.html#4f7da59507a5a8550ea97615ff9afff0">Ogre::ResourceManager</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:02 2008
</p>
</body>
</html>
